void printi(int val);

int function(int val)
{
  printi(val);
  if (val > 3)
    return val;
  return function(val + 1);
}

int main()
{
  int val;

  val = function(0);
  printi(val);

  return 0;
}
